package cn.com.countrygarden.bi.main.service.ck;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.ck.res.CkResourceIncome;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

/**
 * <p>
 *   公共资源收益业务处理接口
 * </p>
 *
 * @author
 * @date 2021-06-29
 * @version V1.0
 */
public interface CkResourceIncomeService{

    /**
     * 添加数据
     * @param ro
     * @return
     */
    Result add(CkResourceIncome ckResourceIncome,AccessToken accessToken);

    /**
     * 修改数据
     * @param ro
     * @return
     */
    Result edit(CkResourceIncome ckResourceIncome,AccessToken accessToken);

    Result queryPageList(CkResourceIncome cleanerQueyr,int page,int size,AccessToken accessToken);

    Result queryById(Long id);

    Result getrevenue(AccessToken accessToken, HttpServletRequest request) throws IOException;

    Result toExamine(CkResourceIncome ckResourceIncome);

    Result addone(CkResourceIncome ro, AccessToken accessToken, HttpServletRequest request);

    Result openingClosing(CkResourceIncome ro,AccessToken accessToken, HttpServletRequest request);

    Result openingClosingShenHeOne(CkResourceIncome ro, AccessToken accessToken, HttpServletRequest request);
}
